danielp0086

Using esri with requirejs and without dojo causing errors

Discussion created by danielp0086 on Mar 3, 2014
Latest reply on Mar 4, 2014 by ESoekianto-esristaff
SO I'm working on getting esri geolocation library separated from using dojo and it's require modules to make it more compatible with my stack involving things that need to be shimmed.  I've downloaded the arcgis_compact library and require js and defined my config as follows

require.config({
    baseUrl: "lib",
    paths: {
        "knockout": "//cdnjs.cloudflare.com/ajax/libs/knockout/3.0.0/knockout-min",
        "jquery": "//cdnjs.cloudflare.com/ajax/libs/jquery/2.0.3/jquery.min",
        "dojoMain": "arcgis_compact/js/dojo/dojo/dojo",
        "dojo": "arcgis_compact/js/dojo/dojo",
        "esri": "arcgis_compact/js/esri"
    },

    shim: {
        "knockout": {
            exports: "ko"
        }
    }
});


when I require certain modules I get some errors when dojo requires some of the base javascripts.  Some of them seem to be dojo's require kicking in and not finding some of what I configured, others are missing modules all together.

Attachments

Outcomes